> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phala.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run app TCB evaluation

> Runs a live Intel PCS early collateral evaluation for each running CVM without using Redis collateral cache.



## OpenAPI

````yaml /openapi.json get /api/v1/apps/{app_id}/attestations/tcb-evaluation
openapi: 3.1.0
info:
  title: Phala Cloud API
  version: 0.1.0
servers:
  - url: https://cloud-api.phala.com
security: []
tags:
  - name: CVMs
    description: Confidential Virtual Machine (CVM) lifecycle management on Phala Network
  - name: Apps
    description: App template management and CVM deployment from app blueprints
  - name: Webhooks
    description: Manage webhook endpoints and monitor delivery history
  - name: SSH Keys
    description: SSH public key management for CVM access
  - name: KMS
    description: >-
      Key Management Service — key derivation, on-chain anchoring, and
      inspection
  - name: Instance Types
    description: Available hardware configurations for CVM deployment
  - name: Attestations
    description: Remote attestation and TEE verification endpoints
paths:
  /api/v1/apps/{app_id}/attestations/tcb-evaluation:
    get:
      tags:
        - Apps
      summary: Run app TCB evaluation
      description: >-
        Runs a live Intel PCS early collateral evaluation for each running CVM
        without using Redis collateral cache.
      operationId: >-
        handle_get_app_tcb_evaluation_api_v1_apps__app_id__attestations_tcb_evaluation_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            title: App Id
            description: Hex app identifier
          description: Hex app identifier
      responses:
        '200':
          description: TCB evaluation results for running instances
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TcbEvaluationResponse'
        '404':
          description: App not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TcbEvaluationResponse:
      properties:
        app_id:
          type: string
          title: App Id
        update:
          type: string
          const: early
          title: Update
          default: early
        instances:
          items:
            $ref: '#/components/schemas/TcbEvaluationInstance'
          type: array
          title: Instances
      type: object
      required:
        - app_id
        - instances
      title: TcbEvaluationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TcbEvaluationInstance:
      properties:
        vm_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vm Uuid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        instance_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        image_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Version
        ppid:
          type: string
          title: Ppid
          default: ''
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
        evaluation_update:
          type: string
          const: early
          title: Evaluation Update
          default: early
        evaluation_ok:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Evaluation Ok
        evaluation_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluation Status
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - vm_uuid
        - name
        - instance_id
        - status
        - image_version
      title: TcbEvaluationInstance
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````